@media only screen and (max-width: 1920px) and (min-width: 1500px) {
    .container {
        max-width: 1380px;
    }
}

@media only screen and (max-width: 1600px) {
    .navbar-nav .nav-item .nav-link {
        font-size: 1rem;
        font-weight: 500;
    }

    p {
        line-height: 1.9;
    }

    .mainSlider {
        height: 1080px;
    }

    .heading {
        font-size: 3.25rem;
    }

    .subHeading {
        font-size: 1.75rem;
    }

    .aboutContent p {
        font-size: 1.125rem;
    }

    .slideHeading {
        font-size: 1.875rem;
    }

    .slidesubHeading {
        font-size: 4.25rem;
    }

    h4.cartext {
        font-size: 1.75rem !important;
        padding-bottom: 0.875rem !important;
    }

    .workBox {
        padding: 3rem 0;
    }

    .workBox p {
        margin: 0 2rem 1rem;
        line-height: 2;
        height: 390px;
        overflow-y: scroll;
    }

    .vehicleBox .vehicleContent .subHeading {
        font-size: 1.275rem;
    }

    .vehicleBox .vehicleContent .heading {
        font-size: 1.85rem;
    }

    .vehicleBox .vehicleContent p {
        font-size: 1rem;
    }

    .vehicleBox .vehicleContent {
        padding: 2rem 2.5rem;
    }

    .reviewContent p {
        font-size: 1rem;
        padding-right: 2rem;
        margin-bottom: 1.25rem;
    }

    .reviewContent h3 {
        font-size: 1.5rem;
        margin: 0 0 0.75rem;
    }

    .insta-section .slidesubHeading {
        font-size: 3.75rem;
    }

    .insta-section .slideHeading {
        font-size: 1.75rem;
    }

    .mySwiper2 {
        padding-top: 6rem;
    }

    .vehicleInner {
        margin-top: 0;
    }

    .qc-wootabs-style11 .qc-wootabs-main {
        padding-top: 0;
    }

    .cntctSec .form-group i,
    .cntctSec .form-group .form-control {
        height: 3.5rem;
    }

    section.mapSec iframe {
        height: 600px;
    }
    .workBox p{
        padding-right: 10px;
    }
    
    .ASD .reviewsWraps img.img-fluid {
        width: 135px;
        aspect-ratio: 1/1;
    }
}

@media only screen and (max-width: 1445px) {
    header {
        padding: 5px 0;
    }

    .navbar-nav .nav-item .nav-link {
        font-size: 15px;
    }

    .slidesubHeading {
        font-size: 3.75rem;
    }

    p {
        line-height: 1.8;
    }

    .mainSlider {
        height: 980px;
    }

    .subHeading {
        font-size: 1.5rem;
    }

    .heading {
        font-size: 3rem;
    }

    .aboutContent p {
        line-height: 1.8;
        margin: 0px 0 1rem;
    }

    .slideHeading {
        font-size: 1.5rem;
    }

    .workBox h2 {
        font-size: 1.375rem;
    }

    .workBox {
        height: auto;
        padding: 2.5rem 0;
    }

    .workBox p {
        height: 250px;
    }

    .vehicleBox .vehicleContent .heading {
        font-size: 1.65rem;
    }

    .reviewContent .heading {
        margin-bottom: 0.8rem;
    }

    .reviewContent span {
        gap: 6px;
        margin-bottom: 1rem;
    }

    .reviewContent p {
        padding-right: 1.5rem;
        margin-bottom: 1rem;
    }

    .reviewContent h3 {
        font-size: 1.375rem;
        margin: 0 0 0.5rem;
    }

    .insta-section .slideHeading {
        font-size: 1.5rem;
    }

    .insta-section .slidesubHeading {
        font-size: 3.25rem;
    }

    .insta-section p {
        font-size: 1.25rem;
    }

    footer h3 {
        padding-bottom: 1rem;
    }

    section {
        padding: 4.5rem 0 !important;
    }

    .mySwiper2 {
        padding-top: 5rem;
    }

    .workMain {
        padding: 4.5rem 1.75rem;
    }

    section.mapSec iframe {
        height: 550px;
    }
    section.aboutMain {
    padding-top: 12rem !important;
}

}

@media only screen and (max-width: 1366px) {
    html {
        font-size: 15px;
    }

    p {
        line-height: 1.8;
    }

    .navbar-brand img {
        max-width: 180px;
    }

    .navbar-nav .nav-item .nav-link {
        font-size: 13px;
    }

    .mainSlider {
        height: 885px;
    }

    .slideHeading {
        font-size: 1.375rem;
    }

    .slidesubHeading {
        font-size: 3.5rem;
    }

    .aboutImg .abtVector {
        width: 75%;
    }

    .findImg img {
        left: -14rem;
    }

    .subHeading {
        font-size: 1.325rem;
    }

    .heading {
        font-size: 3rem;
    }

    .aboutContent p {
        line-height: 1.8;
        margin: 0px 0 0.85rem;
    }

    .insta-section .slidesubHeading {
        font-size: 3rem;
    }

    .insta-section .slideHeading {
        font-size: 1.375rem;
    }

    footer h3 {
        font-size: 1.5rem;
        padding-bottom: 0.5rem;
    }

    .copyRight {
        margin-top: 2.5rem;
    }

    section {
        padding: 4rem 0 !important;
    }

    .mySwiper2 {
        padding-top: 4rem;
        padding-bottom: 3.5rem;
    }

    footer {
        padding-top: 4.5rem;
    }

    .workMain {
        padding: 4rem 1.5rem;
    }

    .innerBanner .electrcImg .slideImg2 {
        right: -20%;
    }

    .innerBanner .electrcImg .slideImg1 {
        left: -10%;
    }

    .cntctSec .form-group {
        margin-bottom: 1.75rem;
    }

    .cntactForm .row+.row {
        padding-top: 3rem;
    }

    section.mapSec iframe {
        height: 500px;
    }

    .mapSec {
        padding: 0 !important;
    }
}

@media (max-width: 1199.98px) {
    html {
        font-size: 14px;
    }

    .navbar-brand img {
        max-width: 140px;
    }

    .navbar-nav .nav-item .nav-link {
        font-size: 10px;
        padding: 0 10px !important;
    }

    .themeBtn {
        font-size: 12px;
        padding: 0.5em 1em;
    }

    .mainSlider {
        height: 775px;
    }

    .slidesubHeading {
        font-size: 3.25rem;
    }

    .heading {
        font-size: 2.75rem;
    }

    p,
    .workBox p,
    .aboutContent p {
        line-height: 1.7;
    }

    .carSlider {
        margin: 0px 0rem;
    }

    .workBox {
        padding: 2rem 0;
    }

    .vehicleBox .vehicleContent .heading {
        font-size: 1.5rem;
    }

    .vehicleBox .vehicleContent .subHeading {
        font-size: 1.125rem;
    }

    .mySwiper .thumb2 {
        top: 70px;
    }

    .mySwiper .thumb3 {
        top: 150px;
    }

    .mySwiper .thumb4 {
        top: -250px;
        left: 10rem;
    }

    .mySwiper .thumb5 {
        top: -180px;
        left: 10rem;
    }

    .mySwiper figure {
        width: 100px;
        height: 100px;
    }

    .insta-section .slideHeading {
        font-size: 1.275rem;
    }

    .insta-section .slidesubHeading {
        font-size: 2.75rem;
    }

    .insta-section p {
        font-size: 1.2rem;
    }

    .findImg img {
        width: 35%;
    }

    section {
        padding: 3.5rem 0 !important;
    }

    .mySwiper2 {
        padding-top: 2.5rem;
        padding-bottom: 3rem;
    }

    .copyRight {
        margin-top: 2rem;
    }

    footer {
        padding-top: 4rem;
    }

    .workMain {
        padding: 3.5rem 1.25rem;
    }

    h2.slidesubHeading.electriccar {
        padding-bottom: 28px;
    }

    h2.slidesubHeading.ourevents,
    h2.slidesubHeading.factoryone {
        padding-bottom: 60px;
        padding-top: 56px;
    }

    .qc-wootabs-style11 ul.qc_theme_eleven>li .product-box h2 a {
        text-align: center !important;
        font-size: 1.5rem;
    }

    .wpb-content-wrapper .vc_custom_1694639364550 h2 {
        font-size: 2.57em !important;
    }

    .innerBanner .electrcImg .slideImg2 {
        right: -30%;
    }

    .innerBanner .electrcImg .slideImg1 {
        left: -35%;
    }

    .cntctSec .form-group {
        margin-bottom: 1.5rem;
    }

    .cntactForm .row+.row {
        padding-top: 2.5rem;
    }

    .contactBox {
        flex-direction: column;
        gap: 1rem;
    }

    .contactBox figure {
        width: 90px;
        height: 90px;
        box-shadow: 0 0 0px 9px rgb(255 114 0 / 70%);
    }

    .contactInformations {
        width: calc(100% - 0px);
        text-align: center;
    }

    section.mapSec iframe {
        height: 450px;
    }
    
    .swiper-button-prev1 {
        left: 1.5rem;
    }

    .swiper-button-next1 {
        right: 1.5rem;
    }
    .missionSect figure img{
        border-radius: 50%;
        aspect-ratio: 1/1;
        object-fit: cover;
    }
    .ASD .reviewsWraps img.img-fluid {
        width: 100px;
    }
}

@media (max-width: 991.98px) {
    html {
        font-size: 13px;
    }

    .navbar-brand img {
        max-width: 100px;
    }

    header .navbar-nav ul.list-unstyled.links {
        display: flex !important;
        flex-direction: column;
        align-items: center;
        gap: 10px;
        margin: 10px 0;
    }

    .navbar-nav .nav-item .nav-link {
        font-size: 13px;
    }

    .mainSlider {
        height: 625px;
    }

    .slideHeading {
        font-size: 1.25rem;
    }

    .slidesubHeading {
        font-size: 2.75rem;
    }

    .mainSlider .swiper-pagination .swiper-pagination-bullet {
        width: 15px;
        height: 15px;
    }

    .heading {
        font-size: 2.5rem;
    }

    .subHeading {
        font-size: 1.25rem;
    }

    p,
    .workBox p,
    .aboutContent p {
        line-height: 1.6;
    }

    /*.swiper-button-next1 {*/
    /*    right: 3rem;*/
    /*}*/

    /*.swiper-button-prev1 {*/
    /*    left: 3rem;*/
    /*}*/

    .workBox {
        margin-bottom: 2rem;
    }

    .workBox p {
        height: 175px;
    }

    .vehicleBox .vehicleContent {
        padding: 1rem 1rem;
    }

    .vehicleBox .vehicleContent .heading {
        font-size: 1.25rem;
    }

    .vehicleBox .vehicleContent .subHeading {
        font-size: 1rem;
        margin-bottom: 6px;
    }

    .vehicleBox .vehicleContent p {
        margin-bottom: 10px;
    }

    .insta-section .slidesubHeading {
        font-size: 2.5rem;
    }

    .insta-section p a img {
        max-width: 130px;
    }

    footer h3 {
        font-size: 1.375rem;
        padding-bottom: 0rem;
    }

    .contactInfom li+li,
    .socialLinks li+li {
        padding-top: 0.75rem;
        margin-top: 0.75rem;
    }

    .footerPara {
        margin: 1.5rem 0 0;
    }

    section {
        padding: 3rem 0 !important;
    }

    .mySwiper2 {
        padding-top: 2.5rem;
        padding-bottom: 3rem;
    }

    .mySwiper {
        padding: 2.5rem 0 3rem;
    }

    .copyRight {
        margin-top: 1.5rem;
    }

    footer {
        padding-top: 3.5rem;
    }

    .workMain {
        padding: 3rem 1rem;
    }

    .innerBanner-slider {
        height: 480px;
    }

    h2.slidesubHeading.electriccar {
        padding-bottom: 20px;
    }

    h2.slidesubHeading.ourevents,
    h2.slidesubHeading.factoryone {
        padding-bottom: 30px;
        padding-top: 48px;
    }

    .wpb-content-wrapper .vc_custom_1694639364550 h2 {
        font-size: 2rem !important;
    }

    .innerBanner .electrcImg .slideImg2 {
        right: -50%;
    }

    .innerBanner .electrcImg .slideImg1 {
        left: -40%;
    }

    .cntctSec .form-group {
        margin-bottom: 1.25rem;
    }

    .contactBox figure {
        width: 80px;
        height: 80px;
    }

    .cntactForm .row+.row {
        padding-top: 2rem;
    }

    section.mapSec iframe {
        height: 400px;
    }
    .findImg{
        display:none;
    }
}

@media (max-width: 767.98px) {
    html {
        font-size: 12px;
    }

    .mainSlider {
        height: 530px;
        padding: 0;
    }

    .mainSlider .swiper-pagination {
        bottom: 4rem;
    }

    .slideHeading {
        font-size: 1.125rem;
    }

    .slidesubHeading {
        font-size: 2.5rem;
    }

    .heading {
        font-size: 2.25rem;
    }

    .swiper-button-prev1,
    .swiper-button-next1 {
        width: 40px;
        height: 40px;
    }


    .workBox {
        margin: 0 auto 2rem;
        max-width: 385px;
    }

    .workBox p {
        height: auto;
    }

    .vehicleBox .vehicleContent {
        flex: 0 0 53%
    }

    .vehicleBox .vehicleImg {
        flex: 0 0 45%;
    }

    .vehicleBox:before {
        width: 65%;
    }

    .swiper-pagination2 .swiper-pagination-bullet {
        width: 20px;
        height: 20px;
    }

    .swiper-pagination2 .swiper-pagination-bullet-active:before {
        background: var(--theme-color);
        width: 12px;
        height: 12px;
    }

    .mySwiper figure {
        position: static;
        width: 80px;
        height: 80px;
    }

    .insta-section .slidesubHeading {
        font-size: 2.25rem;
    }

    .footLogo img {
        max-width: 150px;
    }

    footer .row,
    .missionSect .row {
        gap: 1.5rem;
    }

    .aboutImg {
        width: 80%;
        margin: 0 auto 2rem;
    }

    section {
        padding: 2.5rem 0 !important;
    }

    .mySwiper2 {
        padding-top: 1.5rem;
        padding-bottom: 2.5rem;
    }

    .mySwiper {
        padding: 2.25rem 0 2rem;
    }

    .copyRight {
        margin-top: 1rem;
    }

    footer {
        padding-top: 3rem;
    }

    .workMain {
        padding: 2.5rem 0.5rem;
    }

    .innerBanner-slider {
        height: 400px;
    }

    h2.slidesubHeading.electriccar {
        padding-bottom: 16px
    }

    h2.slidesubHeading.ourevents,
    h2.slidesubHeading.factoryone {
        padding-bottom: 24px;
        padding-top: 40px;
    }

    .qc-wootabs-style11 ul.qc_theme_eleven>li .product-box h2 a {
        text-align: center !important;
        font-size: 1.25rem;
    }

    .qc-wootabs-style11 ul.qc_theme_eleven>li .product-box h2 {
        margin: 14px 0px 0 5px;
    }


    .wpb-content-wrapper .vc_custom_1694639364550 {
        margin-bottom: -24px !important;
    }

    .wpb-content-wrapper .vc_custom_1694639364550 h2 {
        font-size: 1.875rem !important;
    }

    .innerBanner .electrcImg {
        display: none;
    }

    .ASD {
        margin-bottom: 20px !important;
    }

    .ASD .reviewsWraps img.img-fluid {
        width: 80px;
    }

    .cntctSec .form-group {
        margin-bottom: 1rem;
    }

    .contactBox figure {
        width: 70px;
        height: 70px;
    }

    .cntactForm .row+.row {
        padding-top: 1rem;
    }

    section.mapSec iframe {
        height: 350px;
    }
    .swal2-container.swal2-center>.swal2-popup{
        padding:0 !important;
    }
}

@media (max-width: 575.98px) {

    .mainSlider {
        height: 480px;
    }

    .slidesubHeading {
        font-size: 2rem;
    }

    p,
    .workBox p,
    .aboutContent p {
        line-height: 1.5;
    }

    .aboutImg {
        width: 90%;
    }

    .subHeading {
        font-size: 1.125rem;
    }

    .heading {
        font-size: 2rem;
    }

    .swiper-button-prev1 {
        left: 10px;
    }

    .swiper-button-next1 {
        right: 10px;
    }

    .workMain {
        padding-left: 0;
        padding-right: 0;
    }

    .workBox {
        margin: 0px auto 1rem;
    }

    .reviewContent {
        padding-right: 0rem;
    }

    .mySwiper2 .swiper-pagination {
        left: 0rem;
        right: 0rem;
        top: auto;
        gap: 2rem;
        flex-direction: row;
    }

    .mySwiper2 .swiper-pagination:before {
        width: 100%;
        height: 1px;
    }

    .mySwiper figure {
        width: 55px;
        height: 55px;
    }

    .insta-section .slidesubHeading {
        font-size: 2rem;
    }

    .reviewContent p,
    p {
        font-size: 13px;
    }

    .vehicleBox:before {
        display: none;
    }

    .vehicleBox {
        flex-direction: column;
    }

    .vehicleBox .vehicleContent {
        background: var(--primary-color);
    }

    .swiper-pagination2 {
        margin-top: 5px;
    }

    section {
        padding: 2rem 0 !important;
    }

    .mySwiper2 {
        padding-top: 1rem;
        padding-bottom: 2rem;
    }

    .mySwiper {
        padding: 2rem 0 1rem;
    }

    .socialLinks li a i {
        width: 32px;
        height: 32px;
    }

    .links li a {
        font-size: 13px;
    }

    footer {
        padding-top: 2.5rem;
    }

    .innerBanner-slider {
        height: 320px;
    }

    h2.slidesubHeading.electriccar {
        padding-bottom: 12px
    }

    h2.slidesubHeading.ourevents,
    h2.slidesubHeading.factoryone {
        padding-bottom: 12px;
        padding-top: 30px;
    }

    .ASD .reviewsWraps img.img-fluid {
        width: 80px;
    }

    .cntctSec .form-group {
        margin-bottom: 0.75rem;
    }

    .contactBox figure {
        width: 60px;
        height: 60px;
        box-shadow: 0 0 0px 6px rgb(255 114 0 / 70%);
    }

    .contactBox figure img {
        height: 30px;
        width: 35px;
        object-fit: contain;
    }

    .cntactForm .row+.row {
        padding-top: 0rem;
    }

    .cntactForm {
        padding-left: 15px !important;
        padding-right: 15px !important;
    }

    section.mapSec iframe {
        height: 300px;
    }

    .instaSlider .swiper-slide-prev,
    .instaSlider .swiper-slide-active,
    .instaSlider .swiper-slide-next {
        transform: scaleX(0.95) scaleY(0.9);
    }

    footer .row,
    .missionSect .row {
        gap: 1rem;
    }
}

@media (max-width: 320.98px) {}